Subject: RE: C99 complex numbers in cygwin?
From: "Billinghurst, David (CALCRTS)" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 15 Jul 2004 09:38:12 +1000

[email-masked] wrote:
> I'm trying to port a program to cygwin that uses the C99 complex
> number standard and the complex.h library (carg, csin, etc.). 
> According to the gcc web page, this is mostly implemented in gcc 3.0
> and above, but I can't find it in the cygwin gcc package.  Is this on
> purpose or an oversight?    
> 
> I found it partially implemented in the mingw package (3.3-1), but
> not at all in the cygwin gcc package (3.3.1-3) (although a little
> testing shows that _Complex is recognized by the compiler and
> built-in complex functions work).   
> 
> --
> Daniel

gcc uses the complex math functions from the system libraries,
(excluding builtins).  They aren't in newlib, so cygwin doesn't have them.

I, too, would like them as they are required by gfortran, which will be 
(is) the fortran compiler in gcc-3.5.  

Is there anyone working on this, or interested?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/